
#ifdef __cplusplus
extern "C"
{
#endif

	typedef enum HTTP_ERR_CODE
	{
		HTTP_ERR_NONE = 0,
		HTTP_ERR_URL_INVALID,				//URLЧ
		HTTP_ERR_SET_URL,					//URL
		HTTP_ERR_SET_HEADER,				//HTTPͷ
		HTTP_ERR_SET_CONNECT_TIMEOUT,		//ӳʱ
		HTTP_ERR_SET_REQUEST_TIMEOUT,		//ʱ
		HTTP_ERR_CURL_EASR_INIT,			//CURL easy ʼ
		HTTP_ERR_CURL_MULTI_INIT,			//CURL MUILTY ʼ

		HTTP_ERR_DOWNLOADFILE_INVALID,		//ļЧ
		HTTP_ERR_NO_RESPONSE,				//ûӦ
		HTTP_ERR_RESPONSE_MORE_LARGE,		//Ӧ̫󣬻ȡӦݳȲ

		HTTP_ERR_CONNECT_FAILED,			//Ӵ
		HTTP_ERR_ACCEPT_TIMEOUT,			//ʱ
		HTTP_ERR_PERFORM_FAILED,			//󣬷ʧ

		HTTP_ERR_PARAM_INVALID	=	1000
	}HTTP_ERR_CODE;

/*
: http_post
:
	[in]url					ʵURL
	[in]post_data			͵İ
	[in]post_data_len		͵İֽ
	[in]headers				httpʵͷ
	[in]header_num			httpͷĸ
	[in&out]response		ӦĴС
	[in&out]response_len	Ӧĳ
ֵ:
	ֵб
˵:
	httpɹĻresponse㣬򷵻HTTP_ERR_RESPONSE_MORE_LARGE*response_lenзҪĴС
*/
HTTP_ERR_CODE http_post(const char *url, void *post_data, int post_data_len,
			  const char **headers, int header_num, void *response, int *response_len);



/*
: http_post(δʵ)
:
[in]url					ʵURL
[in]headers				httpʵͷ
[in]header_num			httpͷĸ
[in&out]response		ӦĴС
[in&out]response_len	Ӧĳ
*/
HTTP_ERR_CODE http_get(const char *url, const char **headers, int header_num, 
					   void *response, int *response_len);


/*
: simple_md5
:
[in]src					Դַ
[out]MD5				ȡõMD5ֵҪ33ֽڿռ䣬ɵ
*/
int simple_md5(const char *src, char *md5);

#ifdef __cplusplus
};
#endif